﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Emgu.CV;
using Emgu.CV.Structure;
using System.Drawing;

namespace bbiwarg.Images
{
    class PalmImage
    {
        private Image<Gray, Byte> image;
        private int width, height;

        public PalmImage(EdgeImage edgeImage)
        {
            image = edgeImage.getImage().Clone();
            width = image.Width;
            height = image.Height;

            findContours();
        }

        private void findContours()
        {
            Image<Gray, Byte> storage = image.Clone();

            MCvContour countour = new MCvContour();


        }

        public bool belongsToPalm(int x, int y)
        {
            return false;
        }

        private Point getPointWithDepth(Int16 depth)
        {
            for (int x = 0; x < width; ++x)
            {
                for (int y = 0; y < height; ++y)
                {
                    if (image.Data[y, x, 0] == depth)
                        return new Point(x, y);
                }
            }
            return new Point(0, 0);
        }


    }
}
